#!/bin/sh
#
# $FreeBSD: ports/security/clamsmtp/files/clamsmtpd.sh.tmpl,v 1.3 2004/10/14 12:31:22 clsung Exp $
#
# PROVIDE: clamsmtpd
# REQUIRE: DAEMON
# KEYWORD: FreeBSD
#
# Add the fellowing line to /etc/rc.conf to enable clamsmtpd:
#
# clamsmtpd_enable="YES"
#

. /etc/rc.subr

name=clamsmtpd
rcvar=`set_rcvar`

command=/usr/local/sbin/${name}
sig_stop=-KILL

load_rc_config ${name}

clamsmtpd_enable=${clamsmtpd_enable-"NO"}
clamsmtpd_conf=${clamsmtpd_conf-"/usr/local/etc/clamsmtpd.conf"}
clamsmtpd_pid=${clamsmtpd_pid-"/var/run/clamav/clamsmtpd.pid"}
clamsmtpd_debug=${clamsmtpd_debug-"0"}

command_args="-f ${clamsmtpd_conf} -p ${clamsmtpd_pid}"

pidfile=${clamsmtpd_pid}

run_rc_command "$1"
